Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.security
Interface MappedLoginService.UserPrincipal

All Superinterfaces:
  java.security.Principal, java.io.Serializable

All Known Implementing Classes:
  MappedLoginService.Anonymous, MappedLoginService.KnownUser

Enclosing class:
  MappedLoginService

    public static interface MappedLoginService.UserPrincipal

extends java.security.Principal, java.io.Serializable

Method Summary
`boolean` | `authenticate(java.lang.Object credentials)`
`boolean` | `isAuthenticated()`

Methods inherited from interface java.security.Principal
`equals, getName, hashCode, toString`

Method Detail

### authenticate

    boolean authenticate(java.lang.Object credentials)

### isAuthenticated

    boolean isAuthenticated()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.